Payment Initiation
You can initiate a new payment through the Payment Initiation endpoint. This endpoint takes the necessary data required in ISOXML pain.001.001.03 format to initiate a payment through CitiConnect API. It can be used to initiate one outgoing payment request per API call.
Each payment method take different input values based on the type of payment. Input values are also based on regulatory or local requirements.
Note: The required parameters vary depending on the countries and currencies used in the request. For detailed and up-to-date information on the necessary fields and formats, see the Citi Payment Formatting Rules Tool.
The Payment Initiation service accommodates all different data attributes for all the available payment methods.
- payloadType: Supports urn:iso:std:iso:20022:tech:xsd:pain.001.001.03.
- Request: The request follows ISO XML V3 (pain.001.001.03) standards.
- paymentBase64: ISO XML V3 (pain.001.001.03) file has to be converted to Base64 format and passed in <Request><paymentBase64> tags.
- Response: The response follows ISO XML (pain.002.001.03) standards.
Authentication
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Supports “urn:iso:std:iso:20022:tech:xsd:pain.001.001.03” format
Query parameters
This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for oauth token generation
Request
Contains the required fields of the ISOXML request body. The request body must be Base64 encoded and enclosed within the <Request><paymentBase64> tags.
Note: The required fields of the requestBody are highly dependent on the countries and currencies used in the payment. For the most specific and up-to-date fields use the Citi Payment Formatting Rules Tool. This example requestBody is provided for guidance.
The CustomerCreditTransferInitiation message is sent by the initiating party to the forwarding agent or debtor agent. This message is used to request movement of funds from the debtor account to a creditor.
Response
OK - your request was received and acknowledged successfully.
Check the response body for the transaction status.